Vcenter Vm Hardware Ethernet update

Vcenter Vm Hardware Ethernet update

Updates the configuration of a virtual Ethernet adapter.

Request
URI
PATCH
https://{host}/api/vcenter/vm/{vm}/hardware/ethernet/{nic}
COPY
Path Parameters
string
vm
Required

Virtual machine identifier.

The parameter must be an identifier for the resource type: VirtualMachine.

string
nic
Required

Virtual Ethernet adapter identifier.

The parameter must be an identifier for the resource type: com.vmware.vcenter.vm.hardware.Ethernet.


Request Body

Specification for updating the virtual Ethernet adapter.

Vcenter Vm Hardware Ethernet UpdateSpec of type(s) application/json
Required
{
    "upt_compatibility_enabled": false,
    "upt_v2_compatibility_enabled": false,
    "mac_type": "string",
    "mac_address": "string",
    "wake_on_lan_enabled": false,
    "backing": {
        "type": "string",
        "network": "string",
        "distributed_port": "string"
    },
    "start_connected": false,
    "allow_guest_control": false
}
boolean
upt_compatibility_enabled
Optional

Flag indicating whether Universal Pass-Through (UPT) compatibility should be enabled on this virtual Ethernet adapter.

This property may be modified at any time, and changes will be applied the next time the virtual machine is powered on.

If missing or null, the value is unchanged. Must be missing or null if the emulation type of the virtual Ethernet adapter is not Vcenter Vm Hardware Ethernet EmulationType.VMXNE_t3.

boolean
upt_v2_compatibility_enabled
Optional

Flag indicates whether Uniform Pass-through version 2(UPTv2) compatibility is enabled on this network adapter. To enable this feature, the network adapter must connect to a network backed by DPU (Data Processing Unit) and network offloading must be enabled on the network. This property can be only modified when virtual machine is powered off.

This property was added in vSphere API 8.0.0.1.

If missing or null, the value is unchanged. Must be missing or null if the emulation type of the virtual Ethernet adapter is not Vcenter Vm Hardware Ethernet EmulationType.VMXNE_t3.

string
mac_type
Optional

MAC address type.

This property may be modified at any time, and changes will be applied the next time the virtual machine is powered on.

For more information see: Vcenter Vm Hardware Ethernet MacAddressType.

If missing or null, the value is unchanged.

string
mac_address
Optional

MAC address.

This property may be modified at any time, and changes will be applied the next time the virtual machine is powered on.

If missing or null, the value is unchanged. Must be specified if Vcenter Vm Hardware Ethernet UpdateSpec.mac_type is Vcenter Vm Hardware Ethernet MacAddressType.MANUAL. Must be missing or null if the MAC address type is not Vcenter Vm Hardware Ethernet MacAddressType.MANUAL.

boolean
wake_on_lan_enabled
Optional

Flag indicating whether wake-on-LAN should be enabled on this virtual Ethernet adapter.

This property may be modified at any time, and changes will be applied the next time the virtual machine is powered on.

If missing or null, the value is unchanged.

backing
Optional

Physical resource backing for the virtual Ethernet adapter.

This property may be modified at any time, and changes will be applied the next time the virtual machine is powered on.

If missing or null, the value is unchanged.

boolean
start_connected
Optional

Flag indicating whether the virtual device should be connected whenever the virtual machine is powered on.

If missing or null, the value is unchanged.

boolean
allow_guest_control
Optional

Flag indicating whether the guest can connect and disconnect the device.

If missing or null, the value is unchanged.

Authentication
This operation uses the following authentication methods.
Responses
204

Success!

Operation doesn't return any data structure

400

if HOST_DEVICE is specified as the type.

Returns Vapi Std Errors InvalidArgument of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

401

if the user can not be authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

if the user doesn't have the required privileges.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


404

if the virtual machine, virtual Ethernet adapter, or backing network is not found.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

500

Vapi Std Errors Error if the system reports an error while responding to the request.

Vapi Std Errors ResourceBusy if the virtual machine is busy performing another operation.

Vapi Std Errors ResourceInaccessible if the virtual machine's configuration state cannot be accessed.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

if the system is unable to communicate with a service to complete the request.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'